Page MenuHomePhabricator

[Dev] Transition JsonPageLoadStrategy caching to Retrofit and OkHttp
Closed, ResolvedPublic

Description

Remove our caching code, including DiskLruCache (remove from About libraries too). Test that Retrofit picks up caching transparently, especially when you're offline, and that the article header logic didn't break.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 3:57 PM
Niedzielski triaged this task as Normal priority.Nov 9 2016, 9:10 PM

Good eye. I've marked it as a subtask because Retrofitting will be a lot easier without the custom caching

Mholloway closed this task as Resolved.Jul 17 2017, 8:25 PM